> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/endpoint-overview/teams/get-teams-by-country-id.md).

# GET Teams by Country ID

### `GET` Teams by Country ID

```
https://soccer.sportmonks.com/api/v2.0/countries/{ID}/teams
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 3       |

#### Parameters

| Available parameters |                                                                                                                                                   |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.                                 |
| seasons              | Filter stats, topscorers (if included) based on a comma separated list of season ids. Can be used by adding `&seasons=` etc. to your request url. |

#### Include options

`country` `squad` `coach` `transfers` `sidelined` `stats` `venue` `fifaranking` `uefaranking` `visitorFixtures` `localFixtures` `visitorResults` `latest` `upcoming` `goalscorers` `cardscorers` `assistscorers` `aggregatedGoalscorers` `aggregatedCardscorers` `aggregatedAssistscorers` `league` `activeSeasons` `trophies` `rivals`

{% hint style="info" %}
Please note that the squad include only returns the squad of the **current domestic season.**&#x20;
{% endhint %}

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/countries/320/teams?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
"data": [
        {
            "id": 85,
            "legacy_id": 146,
            "name": "København",
            "short_code": "COP",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 1992,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/21/85.png",
            "venue_id": 5655,
            "current_season_id": 18334,
            "is_placeholder": false
        },
        {
            "id": 86,
            "legacy_id": 522,
            "name": "Silkeborg",
            "short_code": "SIL",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 1917,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/22/86.png",
            "venue_id": 85371,
            "current_season_id": 18334,
            "is_placeholder": false
        },
        {
            "id": 211,
            "legacy_id": 631,
            "name": "Horsens",
            "short_code": "ACH",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 1994,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/19/211.png",
            "venue_id": 5661,
            "current_season_id": 18342,
            "is_placeholder": false
        },
        {
            "id": 293,
            "legacy_id": null,
            "name": "Brøndby",
            "short_code": "SLO",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 1964,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/5/293.png",
            "venue_id": 5659,
            "current_season_id": 18334,
            "is_placeholder": false
        },
        {
            "id": 390,
            "legacy_id": null,
            "name": "SønderjyskE",
            "short_code": "SON",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 2004,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/6/390.png",
            "venue_id": 5653,
            "current_season_id": 18334,
            "is_placeholder": false
        },
        {
            "id": 939,
            "legacy_id": 513,
            "name": "Midtjylland",
            "short_code": "FCM",
            "twitter": null,
            "country_id": 320,
            "national_team": false,
            "founded": 1999,
            "logo_path": "https://cdn.sportmonks.com/images//soccer/teams/11/939.png",
            "venue_id": 342,
            "current_season_id": 18334,
            "is_placeholder": false
        },
```

{% endtab %}

{% tab title="Field Description" %}

| Field               | Description                                                                                                                                                                                                      |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                | The unique id of the team                                                                                                                                                                                        |
| `legacy_id`         | This was for our API version 1.0. It's only of use for old users of our API                                                                                                                                      |
| `name`              | The name of the team                                                                                                                                                                                             |
| `short_code`        | The short code of the team                                                                                                                                                                                       |
| `twitter`           | The official twitter page of the team                                                                                                                                                                            |
| `country_id`        | The unique country id the team is from                                                                                                                                                                           |
| `national_team`     | Indicates if the team is a national team                                                                                                                                                                         |
| `founded`           | The year when the team was founded                                                                                                                                                                               |
| `logo_path`         | The logo URL path of the team logo                                                                                                                                                                               |
| `venue_id`          | The official venue of the team                                                                                                                                                                                   |
| `current_season_id` | The unique id of the season the team is active in                                                                                                                                                                |
| `is_placeholder`    | Added a property on both fixture and team responses called `is_placeholder`. This property indicates if the resource is used to display dummy data. The false of this property will always be a `boolean` value. |
| {% endtab %}        |                                                                                                                                                                                                                  |
| {% endtabs %}       |                                                                                                                                                                                                                  |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#dda26596-fede-4b8b-be3d-f042bba857d0)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/teams/get-teams-by-country-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
